Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Feb 2023 08:37:50 +0200

> Cc: [email-masked], Julien Roy <[email-masked]>
> Date: Wed, 01 Feb 2023 21:27:33 +0000
> From: Gregory Heytings <[email-masked]>
> 
> More importantly (as I unsuccessfully tried to convey) it circumvents the 
> bug in the implementation of a particular completion mechanism, which is 
> not the place where the bug lies and should be fixed.  It is not 
> reasonable to expect that all existing and future file completion 
> mechanisms should implement specific rules to deal with the Tramp syntax 
> (or, for that matter, with the syntax of any other package).

>From my POV, it is very reasonable to expect that completion
mechanisms know about Tramp syntax and support it.  Tramp became long
ago an integral part of the Emacs core, so its syntax is as important
to support as any other syntactical aspects of file names in Emacs,
such as the "/:" "quoting".